#!/usr/bin/perl

use CGI::Carp qw(fatalsToBrowser);

require "/user/yourserver/absolute/path_to/cgi-bin/fraud_filter/fraud_filter_config.cgi"; # Essential. Load in our common subroutines and scalars.
require "/user/yourserver/absolute/path_to/cgi-bin/fraud_filter/tigertom_lib.cgi"; # Routine library

##############################################################################
# COPYRIGHT NOTICE                                                           #
# TigerTom's ClickBank Wrapper Script - Ante.                                # 
# Version: 1.1, Sept. 2002.                                                  #  
#                                                                            #  
# Copyright 2000 T. O' Donnell.  All Rights Reserved.                        #
# http://www.tigertom.com/contact.htm                                        #
# Selling the code for this program without prior written consent is         #
# expressly forbidden.                                                       #
# You must get permission from T. O' Donnell and the other contributors      # 
# before redistributing this software over the Internet or via any           # 
# other medium.                                                              #
# You may not redistribute an altered version of this program in any form,   # 
# via any medium.                                                            # 
#                                                                            #
# In all cases copyright and header must remain intact.                      #
#                                                                            #                    
# This Copyright is in full effect in any country that has International     #
# Trade Agreements with the United Kingdom Of Great Britain.                 #
#                                                                            #
##############################################################################

############################ Sub Routines #####################################

&check_referer;              # Check only valid websites are calling this script.
                
&parse_data;                 # Parse the raw form data.

&check_required;             # Check they've filled in the form correctly

&check_email;                # Check email syntax validity

&bar_free_email;             # Bar free web-based email accounts

&bar_bad_proxy;              # Bar suspect proxies.
    
&get_date;                   # Get the date


&save_delimited;             # Save the data for later use

	if($cart_script_url) {$second_script_url = "$cart_script_url";} # Set up end URL
		elsif($cart_url) {$thanks_url = "$cart_url";}

&end_url;                    # Send them on to the shopping cart

exit (0);                    # ESSENTIAL. Script action ends.


########## Only would-be programmers should edit past this point! ########## 


########################### The Sub-Routines ###############################



######### Bar free email addresses

sub bar_free_email {

if($FORM{'email'} && $ban_free_email) {

if($email_checkup_level) {
foreach $provider(@popular_paid_emails) {
if($FORM{'email'} =~ /$provider/i) {
$good_email = 1;
    } # End if
  } # End foreach
} # End if

### Check for the usual suspects

unless($good_email) {


#### Bar large-scale free-email providers

# Get the URL from the email address (remove everything before the @)
$domain = $FORM{'email'};
$domain =~ s/.+\@//g;

	foreach $provider(@popular_free_emails) {
	if($FORM{'email'} =~ /$provider/i) {
	&announce_bad_email;
    			} # End if
		} # End unless


if($email_checkup_level > 2) {

if($dig_prog) {

# Get the host of the customer email address
 $dig_data = `$dig_prog +nocomments +nostats +noadditional \"$domain\"`;

 &debug;
 print "DUG UP on $domain:<BR> $dig_data<BR><BR>";
 exit;

## See if their email belongs to a big free email address provider
foreach $biggie(@big_providers) {
if($dig_data =~ /$biggie/i) {
&announce_bad_email;
exit; 
        } # End if
      }	# End foreach
   } # End if dig_prog
} # End if email_checkup_level

### Check our database of free web-based email address providers

if($email_checkup_level > 1) {
&begin_acquire_file;
&close_file;

# Set up the array of providers
 $provider_list = "@list";
 @checklist = split(/\|/, $provider_list);

# See if our customer is using a free email provider
 foreach $provider(@checklist) {

 if($FORM{'email'} =~ /$provider/i) {
&announce_bad_email;
	    } # End if
	} # End foreach
     } # End if email checkup level


if($email_checkup_level > 3) {

## Now check the email provider itself

# Get the URL from the email address (remove everything before the @)
# $domain = $FORM{'email'};
# $domain =~ s/.+\@//g;
$URL = "http://www.$domain";

$content = get($URL);

# Get rid of body
$content =~ s/\<body.+//gi;

# Get rid of non-HTML
$content =~ s/\n//g;
$content =~ s/\>.+\<//g;


# Look for the magic words
if($content =~ /free email|remailer|free web-based email|free web based email/i) {
&announce_bad_email;
	  } # End if

  	        	} # End if email_checkup_level
	
	         } # End unless
	
        } # End if

  } # End sub

###

sub announce_bad_email {

	$title = "<CENTER>Sorry, <I>free web-based email addresses</I> like <I>$domain</I> are not allowed :(</CENTER>";
	$message = "<CENTER><B>Use the email address that came with your internet connection.</B><BR><BR>$alternative_payment_message</CENTER>";
	&output_page;
     
	} # End sub



##############

sub save_delimited {

   &shorten_ip; 

if (!@insecure_save) {
        @insecure_save = split(/,/, $FORM{'insecure_save_form_fields'});
                         } # End if
   
          
$file_name = "$save_file";

# If the webmaster wants to get rid of
# the 'ante' data regularly, delete it, otherwise
# keep it.

if($delete_old_data) {
 &begin_acquire_file;
 &close_file;
 &begin_write_to_file;


	  		foreach $line(@list) {
                chomp($line);
     	  	unless ($line !~ /$date/) {
     	  	print DATA "$line\n";
            		  } # End unless
          		} # End foreach
	}# End if

else {

&begin_append_to_file;
   } # End else
   
           print DATA "$time$DELIM2$date$DELIM2$browser_short$DELIM2$ENV{'REMOTE_ADDR'}$DELIM2";
	   
foreach $name(@insecure_save) {
              print DATA "$FORM{$name}$DELIM2";
                 }
        print DATA "\n";

&close_file;
# &call_mama;

          }

###### Automate form submission

# use HTTP::Request::Common qw(POST);
# use LWP::UserAgent;
# use URI::Escape;

# sub fill_form_via_POST {

#        my $ua = LWP::UserAgent->new;
#        $ua->agent("$ENV{'HTTP_USER_AGENT'}");
#        $second_script_url = "$second_script_url?$buffer";
#	 $second_script_url = uri_escape($second_script_url); 
#        my $req = POST "$second_script_url",
#  		[ search => 'www', errors => 0 ];

#        $content = $ua->request($req)->as_string;  
#         } # End sub
