#!/usr/bin/perl

##############################################################################
# COPYRIGHT NOTICE                                                           #
# TigerTom Script Configuration File.                                        #
# Version: 1.0, August 2002.                                                 # 
#                                                                            #  
# Copyright 2002 T. O' Donnell.  All Rights Reserved.                        #
# http://www.tigertom.com/contact.htm                                        #
#                                                                            #
# Selling the code for this program without prior written consent is         #
# expressly forbidden.                                                       #
# You must get permission from T. O' Donnell and the other contributors      # 
# before redistributing this software over the Internet or via any           # 
# other medium.                                                              #
# You may not redistribute an altered version of this program in any form,   # 
# via any medium.                                                            # 
#                                                                            #
# In all cases copyright and header must remain intact.                      #
#                                                                            #                    
# This Copyright is in full effect in any country that has International     #
# Trade Agreements with the United Kingdom Of Great Britain.                 #
#                                                                            #
##############################################################################

############################## File Locking ############################

## Does your system have file locking ('flock')?  This stops your data 
## files getting corrupted when two different users try to save to the 
## same file simultaneously.  If it does, change the following value to
## 1, e.g. $lockit = 1;. If you're on a Windows server, leave it as 0.

$lockit = 1;

##################### Location of Email Program #############################

## Path to mail program.
## Examples: 
## $mailprog = '/usr/bin/sendmail';
## $mailprog = '/usr/sbin/sendmail';

$mailprog = '/usr/lib/sendmail';

####### Required form data #######

@required = ('name','email','country','phone');

########################### Valid Referers #################################

## List the URL that is allowed to call your scripts, 
## to stop other sites calling it.  

 @valid_urls = ('tigertom.com','clickbank.net','clickbank.com','reliabill.com','2checkout.com');

###################### Email Configuration #################################

## NAME or Company that emails will seem to be be FROM :

$sender_name = "T. O' Donnell Incorporated";

## EMAIL address that emails will seem to be FROM (comment-out the @ with a \) :

$sender_email = "sales\@tigertom.com";


############### Pages to redirect to *BEFORE* the order ###################

## Pick one of the following options (and leave the other one blank):

## Full URL of *shopping cart script* to pass data to.
## This will pass whatever data is entered in the Fraud Filter form
## to another *script*.

$cart_script_url = "";

## Otherwise, just send them to a URL *without passing data*.

$cart_url = "http://www.clickbank.net/sell.cgi?tigertom/5/Fraud_Filter_Test_Order";

############# Pages to redirect to *AFTER* the order ###################

### IMPORTANT: Pick one of the following options
### and LEAVE THE OTHER ONE BLANK.

## Final *CGI script* URL to send the customer to,
## after they've completed the purchase. ('fraud_filter_ante.cgi' can 
## pass whatever data is sent to *it* to another script).
## $final_script_url = "http://www.tigertom.com/cgi-bin/friends.cgi";

$final_script_url = "";

## Otherwise, the URL of a final 'thank you' page to send the customer 
## to (after they've completed the purchase):

$final_page = "http://www.tigertom.com/thanks4.htm";


############### Location of files ############################

## Absolute path to directory containing fraud_filter files 
## (NO trailing forward-slash here):

$path_to_data_files = '/user/yourserver/absolute/path_to/cgi-bin/fraud_filter';

## Name of file containing list of free email providers:

$free_email_provider_file = 'free_email_providers.dat';

## Name of data file to store all pre-shopping-cart data :

$save_file = 'fraud_filter_ante.dat';

## Name of data file to store post-shopping-cart data :

$valid_file = 'fraud_filter_post.dat';

## Name of header text (html) of pages this script may need 
## to throw up :

$header = 'header.html';

## Name of footer text (html) of pages this script may 
## need to throw up :

$footer = 'footer.html';

## The database delimiter (the symbol between each database entry).
## Two scalars are used here. 
## *If that's gibberish to you, leave this alone*.

$DELIM="\\|";
$DELIM2="|";

###### Hygeine ########

# Do you want to delete daily data from the 'ante'
# order database? This is the file that contains
# only those who 'start' an order. It will contain
# abandoned orders, and people messing about. This might
# be useful for follow-ups. 
#
# The 'post' order database will only contain the completed orders.
#
# Set this to 0 for No or 1 for Yes.

$delete_old_data = 0; 

############################## Presentation #############################

## The subject of your order-related emails, and title of any pages 
## this script may need to throw up :

$subject = "TigerTom Secure Order - Status";


###### Bar free email address users.

## Ban free email address users?
## Set to 0 if you don't.

$ban_free_email = 1;

## Level of email check to perform
## 1 = Check for popular free email providers
## 2 = Check our database as well
## 3 = Check for big (diverse) free email address providers, and the home page of the provider also.
##
## The higher the level, the more thorough, and the slower the script performs.
 
$email_checkup_level = 3;

####### Location of 'dig' program
## The script uses this to look for large-scale free email
## address providers.
## If you don't have 'dig', leave this blank.

$dig_prog = '/usr/bin/dig';

## Array of large-scale free email providers

@big_providers = ('another.com');

######

## Array of very popular FREE web based email addresses
## (Filter them quickly without accessing our fat database)

@popular_free_emails = ('talk21.com','usa.net','usa.com','yahoo.com','hotmail.com','juno.com','mailcity.com',
	'excite.com','email.com','gmx.net','netscape.net','rocketmail.com','altavista.com',
	'lycos.com','geocities.com','bigfoot.com');

## Array of very popular COMMERCIAL email providers
## (Let them pass quickly without accessing our fat database)

@popular_paid_emails = ('verizon.net','prodigy.net','bellsouth.net','compuserve.com',
'qwest.net','msn.com','earthlink.net','btinternet.com','virgin.net','rr.com','aol.com');


########### Bar anonymous proxies ##############

## Location of 'host' program (to check for bad proxies)
## Leave this blank if you don't want to do this, 
## or you don't have 'host' on your server.
## e.g. $host_prog = "";

$host_prog = '/usr/bin/host';

### List of popular anonymous proxy services hosts we want to ban.
### This list is not comprehensive (it can't be). 

@bad_proxies = ('megagiga','netzero','spaceproxy','anonymizer','drikka',
	 'netdirect','juno','voyager','globali','the-cloak',
          'orangatango','idzap','zapid','proxyone','anonymise.com',
           'dsl.speakeasy.net','adsl.ij.net','cotse',
'somebody','altopia','rewebber','DATA.ISL-ONLINE.DE','KRONENBOURG.FERNUNI-HAGEN.DE',
'goproxy','safeweb','hpro.org','anonymprom','magusnet','secureonlineaccess.he.net',
'rrcnet','myshield','stealth','hidden','hacker','anony',
);


############## Message to free email or anonymous proxy users. ###################

###### Message to free email or anonymous proxy users.
## Comment out the @ in email addresses, and quotation 
## marks, and %, as below.

$alternative_payment_message ="

<TABLE WIDTH=\"75\%\"><TR><TD>

<CENTER><H2>You can still pay AND get a *discount*.</H2></CENTER>

<B>1.</B> You can still pay by <B>credit card. Deduct \$5.00</B> from the software cost 
and send the remainder amount to <B>tom\@tigertom.com</B> via <a href=\"http://www.PayPal.com\"><B>PayPal</B></a>.<BR><BR>

<B>2.</B> Get a <B>\$5.00 discount</B> on TigerTom software if you pay by
international money order, banker's draft, UK postal
order or UK cheque. <BR><BR>Email <a href=\"mailto:tom\@tigertom.com\">
tom\@tigertom.com</a> for details.<BR><BR><BR><BR>

</TD></TR></TABLE>



"; # Leave this alone

################################ Security ##################################

# Extra security - this line defines what directories programs 
# can be executed from, on your server, by this script :

$ENV{'PATH'} = '/opt/lib:/opt/bin:/usr/lib:/bin:/usr/bin:/usr/local/bin:/usr/sbin'; 

##### Legitimate length of query string
$legit_length = 300;

#### Set valid REQUEST_METHOD
 $valid_method = "POST";


############################################################################

1; # Acquired file. Leave this alone.

